mysql_field_seek
mysql_field_type
MySQL Functions
PHP Manual

# mysql_field_table

(PHP 4, PHP 5)

mysql_field_table — Get name of the table the specified field is in

Warning

This extension is deprecated as of PHP 5.5.0, and will be removed in the future. Instead, the MySQLi or PDO_MySQL extension should be used. See also MySQL: choosing an API guide and related FAQ for more information. Alternatives to this function include:

- mysqli_fetch_field_direct() [table] or [orgtable]
- PDOStatement::getColumnMeta() [table]

### Description

string mysql_field_table ( resource `$result` , int `$field_offset` )

Returns the name of the table that the specified field is in.

### Parameters

`result`

  The result resource that is being evaluated. This result comes from a call to mysql_query().

`field_offset`

  The numerical field offset. The `field_offset` starts at 0. If `field_offset` does not exist, an error of level `E_WARNING` is also issued.

### Return Values

The name of the table on success.

### Examples

Example #1 A mysql_field_table() example

`<?php
$query = "SELECT account.*, country.* FROM account, country WHERE country.name = 'Portugal' AND account.country_id = country.id";
// get the result from the DB
$result = mysql_query($query);
// Lists the table name and then the field name
for ($i = 0; $i < mysql_num_fields($result); ++$i) {
$table = mysql_field_table($result, $i);
$field = mysql_field_name($result, $i);
echo "$table: $field\n";
}
?>`

### Notes

> Note:

> For backward compatibility, the following deprecated alias may be used: mysql_fieldtable()

### See Also

- mysql_list_tables() - List tables in a MySQL database

mysql_field_seek
mysql_field_type
MySQL Functions
PHP Manual